## junit.extensions
Class TestSetup

    java.lang.Object
      junit.framework.Assert
          junit.extensions.TestDecorator
              junit.extensions.TestSetup

All Implemented Interfaces:
  Test

    public class TestSetup

extends TestDecorator

A Decorator to set up and tear down additional fixture state. Subclass TestSetup and insert it into your tests when you want to set up additional state once before the tests are run.

Field Summary

Fields inherited from class junit.extensions.TestDecorator
`fTest`

Constructor Summary
`TestSetup(Test test)`

Method Summary
`void` `run(TestResult result)` Runs a test and collects its result in a TestResult instance.
`protected void` `setUp()` Sets up the fixture.
`protected void` `tearDown()` Tears down the fixture.

Methods inherited from class junit.extensions.TestDecorator
`basicRun, countTestCases, getTest, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestSetup

    public TestSetup(Test test)

Method Detail

### run

    public void run(TestResult result)

  Description copied from interface: `Test`
  Runs a test and collects its result in a TestResult instance.

  Specified by:
    `run` in interface `Test`
  Overrides:
    `run` in class `TestDecorator`

### setUp

    protected void setUp()
                  throws Exception

  Sets up the fixture. Override to set up additional fixture state.

  Throws:
    `Exception`

### tearDown

    protected void tearDown()
                     throws Exception

  Tears down the fixture. Override to tear down the additional fixture state.

  Throws:
    `Exception`

Copyright © 2002–2020 JUnit. All rights reserved.